Package: org.codehaus.groovy.antlr.treewalker

## [Java] Class PreOrderTraversal

- org.codehaus.groovy.antlr.treewalker.PreOrderTraversal

- A simple preorder traversal over the supplied antlr AST.

  Authors:
    Jeremy Rayner

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class TraversalHelper` | `unvisitedNodes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PreOrderTraversal (Visitor visitor)` A simple preorder traversal over the supplied antlr AST.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `accept(GroovySourceAST currentNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class TraversalHelper`

    `accept, acceptChildren, acceptSiblings, accept_FirstChild_v_RestOfTheChildren, accept_FirstChild_v_RestOfTheChildren_v, accept_FirstChild_v_RestOfTheChildren_v_LastChild, accept_FirstChild_v_SecondChild, accept_FirstChild_v_SecondChild_v, accept_FirstChild_v_SecondChild_v_ThirdChild_v, accept_FirstChild_v_SecondChildsChildren_v, accept_FirstSecondAndThirdChild_v_v_ForthChild, accept_SecondChild_v_ThirdChild_v, accept_v_AllChildren_v, accept_v_AllChildren_v_Siblings, accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v, accept_v_FirstChild_SecondChild_v_ThirdChild_v, accept_v_FirstChild_v, accept_v_FirstChild_v_RestOfTheChildren, accept_v_FirstChild_v_RestOfTheChildren_v, accept_v_FirstChild_v_SecondChild_v___LastChild_v, accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild, accept_v_FirstChildsFirstChild_v_RestOfTheChildren, accept_v_Siblings_v, closingVisit, openingVisit, pop, process, push, secondVisit, setUp, skip, subsequentVisit, tearDown, visitNode`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public PreOrderTraversal(Visitor visitor)

      A simple preorder traversal over the supplied antlr AST.

      Parameters:
        `visitor` - the Visitor to call for each node visited

  - ### Method Detail

    - #### public void accept(GroovySourceAST currentNode)